=== debian/changelog ===
deepin-terminal-gtk (5.0.4.3-1) unstable; urgency=medium

  * Initial version 5.0.4.3.
  * Remove autobuild changelog.

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 23 Dec 2020 23:19:12 +0800
