=== debian/control ===
Source: deepin-terminal-gtk
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
 debhelper-compat (=11),
 valac,
 cmake,
 libgee-0.8-dev,
 libjson-glib-dev,
 libsecret-1-dev,
 libwnck-3-dev,
 gnome-pkg-tools (>= 0.10),
 libglib2.0-dev (>= 2.40.0),
 libpango1.0-dev (>= 1.22.0),
 libpcre2-dev (>= 10.21),
 libgtk-3-dev (>= 3.20),
 libgnutls28-dev (>= 3.2.7),
 libxml2-utils,
 gobject-introspection (>= 0.9.12-4~),
 libgirepository1.0-dev (>= 0.9.12),
 gettext, gperf,
 gtk-doc-tools,
 librsvg2-dev,
 libgladeui-dev,
 libreadline-dev,
 libvte-2.91-dev,
 intltool (>= 0.35)
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/deepin-terminal-gtk

Package: deepin-terminal-gtk
Architecture: any
Provides: x-terminal-emulator
Conflicts:
 deepin-terminal
Replaces:
 deepin-terminal
Depends: 
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-menu,
 expect,
 lrzsz,
 zssh
Description: sharpens your focus in the world of command line!
 Deepin Teminal is an advanced terminal emulator with window-splitting,
 workspaces, remote management, Quake mode and other features.
